Whenever I try to install a new package, in this case mutagen, PIP tries to update urllib3 even though it's already on the latest version and then ends up crashing. It makes it impossible to install almost any extension.